SET PRINTBACK ON.
SET FORMAT=COMMA9.0.
HOST COMMAND=["date"]

GET FILE '/home/fabian/pspp_report/work2.sav'.

*******************************************************************************.
* BACKGROUND VARIABLES.
*******************************************************************************.

COMPUTE ekor3=2012-hfbszu0.
DESCRIPTIVE ekor3.
RECODE ekor3 (LOWEST THRU 29 = 1) 
             (30 THRU 59 = 2)
             (60 THRU HIGHEST = 3).

VARIABLE LABEL ekor3 'életkor kategorizálva'.
VALUE LABEL ekor3 1 '0-29 éves' 2 '30-59 éves' 3 '60- éves'.

* Gazdasági aktivitás.

COMPUTE gakt4=hfmakb0.
RECODE gakt4 (1,3=1)(2=2)(5=3) (4,6,7,8=4) (else=sysmis).
EXECUTE.

VARIABLE LABEL gakt4 'gazdasági aktivitás 4 kategória'.
VALUE LABEL gakt4 1 'alkalmazott'
              2 'vállalkozó'
              3 'nyugdíjas'
              4 'egyéb'.
EXECUTE.

* Nem.
FREQUENCIES hfbnem0.

RECODE teltip (1=1) (else=0) into bp.
VALUE LABEL bp 1 'Bp' 0 'nem Bp'.
EXECUTE.

* Iskolai végzettség.

RECODE hfiisk0 (0 thru 3 =1) (4,5,6=2) (7,8,9,10=3) (99=sysmis) into isk3.
VARIABLE LABEL isk3 'iskolai végzettség kategorizálva'.
VALUE LABEL isk3 1 'érettséginél kevesebb'
             2 'érettségi'
             3 'felsőfokú'.

FREQUENCIES ekor3 isk3 gakt4 hfbnem0 bp.


**********************************************************************.
*              Recoding MISSING VALUES to zeros                      *.
**********************************************************************.


* I. Háztartás kérdőiv - Household questionnaire.

MISSING VALUES hflakjft hfgbev hfgkolt hfgtakft hflakjft hfvkiaft hfcnyer1 ()
* hfcnyer2 is not a variable name. UNDOCUMENTED change in variable name.
* hfcnyer3 is the questionnaire variable.
MISSING VALUE hfbefoft hfceg3ft hfcnyer3 ().
EXECUTE.

RECODE hflakjft hfgbev hfgkolt hfgtakft hflakjft hfvkiaft hfcnyer1 hfcnyer3
       hfbefoft hfceg3ft (SYSMIS, MISSING, -6,8,9,0 = 0) (else=copy).

RENAME VARIABLES (hftamo efjpremo efjalkgk  = hfjtamo efjpremp efjatkgk).
EXECUTE.

MISSING VALUES hfjNYER hfjTDJK hfjTAMO hfjAJAN ().

RECODE hfjNYER hfjTDJK hfjTAMO hfjAJAN (SYSMIS, MISSING, -6,8,9,0 = 0) 
        (else=copy).

MISSING VALUES hfjcspat hfjkcsat hfjarvat hfjegyat hfjlftat 
       hfjkcsut hfjkcsut hfjarvut hfjegyut hfjlftut  ().

RECODE hfjcspat hfjkcsat hfjarvat hfjegyat hfjlftat 
        hfjkcsut hfjkcsut hfjarvut hfjegyut hfjlftut 
        (SYSMIS, MISSING,  -6,9,0 = 0) (else=copy).

RECODE hfjcspgk hfjkcsgk hfjarvgk hfjegygk hfjlftgk 
        (SYSMIS, MISSING, -6,99,0 = 0) (else=copy). 


* Individual questionnaire.
* Jövedelemprogram javítása: a munkanélküliek rendszeres szociális segélyét és 
* az anyasági támogatást is bevesszük. 

* efjvajat efjvajut efjratat
* eejvajat, #eejvajut - vállalkozói járadék nincs 2012-ben
* efjratat - rendelkezésre állási támogatás nincs 2012-ben

* Egyszeri fix összegű anyasági támogatást kérdezünk.
* Szociális jövedelmekhez számítjuk.

FREQUENCIES efjanygk.
MISSING VALUE efjanygk ().
RECODE efjanygk (-6, 9, sysmis, missing = 0).
IF (efjanygk = 1) efjany12=64125.
IF (efjanygk <> 1) efjany12=0.
IF (efjanygk = 1) efjanyev=64125/12.
IF (efjanygk <> 1) efjanyev=0.
VARIABLE LABEL efjany12 'egyszeri, egyösszegű anyasági támogatás (havi)'.
VARIABLE LABEL efjanyev 'egyszeri, egyösszegű anyasági támogatás (éves)'.
FREQUENCIES efjany12 efjanyev.

MISSING VALUES efjfomat efjfomut efjborat efjtulut efjszlut efjefmat efjkmaut 
        efjkmbut efjkmcut efjkmdut efjkmeut efjalkut efjvmjat efjmunat efjmunut 
        efjatkat efjatkut efjmnsat efjmnsut efjmmeat efjmmeut efjoszat efjoszut 
        efjgynat efjgynut efjtesat efjtesut efjanygk efjgyeat 
        efjgyeut efjgysat efjgysut efjnyuut efjtapat efjtaput efjejdat efjejdut 
        efjakeut efjkarat efjkarut efjegyat efjegyut (). 
EXECUTE.


RECODE efjfomat efjfomut efjborat efjtulut efjszlut efjefmat efjkmaut efjkmbut 
        efjkmcut efjkmdut efjkmeut efjalkut efjvmjat efjmunat efjmunut efjatkat 
        efjatkut efjmnsat efjmnsut efjmmeat efjmmeut efjoszat efjoszut efjgynat 
        efjgynut efjtesat efjtesut efjgyeat efjgyeut efjgysat 
        efjgysut efjnyuut efjtapat efjtaput efjejdat efjejdut efjkarat 
        efjkarut efjegyat efjegyut efjidjat efjidjut efjakeat efjakeut 
        (SYSMIS, MISSING, -6, -7, 0, 8, 9 = 0) (else=copy). 


MISSING VALUES efjpremp efjszlev efjhozev efjkmaev efjkmbev efjkmcev efjkmdev 
        efjkmeev efjalkev efjvegft ().

EXECUTE. 

 
RECODE efjpremp efjszlev efjhozev efjkmaev efjkmbev efjkmcev efjkmdev efjkmeev
        efjalkev efjvegft (SYSMIS, MISSING, -6, -7, 0, 8, 9 = 0)(else=copy). 

MISSING VALUES efjfomgk efjefmgk efjvmjgk efjmungk efjatkgk efjmnsgk efjmmegk 
        efjoszgk efjgyngk efjtesgk efjanygk efjgyegk efjgysgk efjnyugk efjtapgk 
        efjejdgk efjkargk efjegygk efjakegk efjidjgk ().
EXECUTE.

RECODE efjfomgk efjefmgk efjvmjgk efjmungk efjatkgk efjmnsgk efjmmegk efjoszgk 
        efjgyngk efjtesgk efjanygk efjgyegk efjgysgk efjnyugk efjtapgk efjejdgk 
        efjkargk efjegygk efjakegk efjakeut (SYSMIS, -6, -7, 99 = 0)
        (else=copy).
EXECUTE.

* hfcnyer2=hfcnyer3
DESCRIPTIVES /VARIABLES=hfgbev hfgkolt hfgtakft hfvkiaft hfcnyer1 hfcnyer3 
        hfbefoft hfceg3ft hfjNYER hfjTDJK hfjTAMO hfjAJAN hfjcspat hfjkcsat 
        hfjarvat hfjegyat hfjlftat hfjkcsut hfjarvut hfjegyut hfjlftut 
        hfjcspgk hfjkcsgk hfjarvgk hfjegygk hfjlftgk .


DESCRIPTIVES /VARIABLES=efjfomat efjfomut efjborat efjtulut efjszlut efjefmat 
        efjkmaut efjkmbut efjkmcut efjkmdut efjkmeut efjalkut efjvmjat efjmunat 
        efjmunut efjatkat efjatkut efjmnsat efjmnsut efjmmeat efjmmeut efjoszat 
        efjoszut efjgynat efjgynut efjtesat efjtesut efjgyeat 
        efjgyeut efjgysat efjgysut efjnyuut efjtapat efjtaput efjejdat efjejdut 
        efjakeut efjkarat efjkarut efjegyat efjegyut efjakeat.

DESCRIPTIVES /VARIABLES= efjpremp efjszlev efjhozev efjkmaev efjkmbev efjkmcev 
        efjkmdev efjkmeev efjalkev efjvegft.


* NOTE: efjkmeev (5th job income) is missing for all.

DESCRIPTIVES /VARIABLES= efjfomgk efjefmgk efjvmjgk efjmungk efjatkgk efjmnsgk 
        efjmmegk efjoszgk efjgyngk efjtesgk efjanygk efjgyegk efjgysgk efjnyugk 
        efjtapgk efjejdgk efjkargk efjegygk efjakegk
        /FORMAT NOLABELS.

* TODO jakeat recode sysmis=0.
DESCRIPTIVES efjakegk efjakeat efjakeut.


**********************************************************************.
*             a háztartás file-ból képzett változók                  *.
*            VARIABLES FROM THE HOUSEHOLD QUESTIONNAIRE              *.
**********************************************************************.
*               CREATING SUMMARY INCOME VARIABLES                    *.
**********************************************************************.

* Éves jövedelmek a gyakoriság és az átlag htesulyából.

COMPUTE hfjcspev = hfjcspat * hfjcspgk.
VARIABLE LABEL hfjcspev 'Családi pótlék éves jövedelem'.

COMPUTE hfjkcsev = hfjkcsat * hfjkcsgk.
VARIABLE LABEL hfjkcsev 'Kieg. családi pótlék éves jövedelem'.

COMPUTE hfjarvev = hfjarvat * hfjarvgk.
VARIABLE LABEL hfjarvev 'Árvasági ellátás éves jövedelem'.

COMPUTE hfjegyev = hfjegyat * hfjegygk.
VARIABLE LABEL hfjegyev 'Egyéb gyermeknevelési ell. éves jövedelem'.

COMPUTE hfjlftev = hfjlftat * hfjlftgk.
VARIABLE LABEL hfjlftev 'Lakásfenntartási támogatás éves jövedelem'.

* TODO HT kérdőívet megnézni
* Jövedelemprogram javítása: ahol van éves, háztartászsintű munkanélküliek 
* rendszeres szociális segélye (hfjmnsev) és az nem tér el 10 százaléknál 
* nagyobb mértékben a háztartási kérdőívben felvett rendszeres szociális 
* segély összegétől, ott ez utóbbit lenullázzuk.
 
**if (hejmnsev>0 and hejsegev>0 and hejsegev>0.9 * hejmnsev and hejsegev<1.1 * hejmnsev) hejsegev=0.
**execute.
 
* Képzett változók.
 
* income from family benefits.
* TODO: label check (Ht. tábla) 
COMPUTE hfjcsjov= hfjcspev + hfjkcsev+ hfjarvev + hfjegyev.
VARIABLE LABEL hfjcsjov 'Ht. tábla: családi tám. éves jövedelem'.
* TODO: var label Ht tábla.

* income from social transfers.
 
COMPUTE hfjsocev= hfjlftev.
VARIABLE LABEL hfjsocev 'Ht. tábla: szociális segélyek éves jövedelem'.


* income from Renting & Leasing propety.
 
COMPUTE hfjkiad = hflakjft + hfvkiaft.
VARIABLE LABEL hfjkiad 'Ingatlan bérbeadásának jövedelme'.
 
* Incomes from dividends and other property income.
 
COMPUTE hfjoszt = hfbefoft.
VARIABLE LABEL hfjoszt 'Osztalék, befektetés hozama éves jövedelem'.
 
* incomes from Agricultural production & consumption.
 
* Market income from agricultural production.
 
COMPUTE hfjmgela = hfgbev - hfgkolt.
if (hfjmgela<0) hfjmgela=0.
execute.
VARIABLE LABEL hfjmgela 'Háztartás mezőgazdasági értékesítés jöv.'.

* incomes from self-consumption.

COMPUTE hfjmgtak = hfgtakft.
VARIABLE LABEL hfjmgtak 'Háztartás mezőgazdasági fogyasztás megtakarítás'.

* Total agricultural incomes of household.

COMPUTE hfjmgosz = hfjmgela + hfjmgtak.
VARIABLE LABEL hfjmgosz 'Háztartás mezőgazdasági összjövedelme'.

* incomes from entreprises (entreprise profits). 
* JAVÍTÁS: 45. kérdés (hfcnyer1) helyett bizonyos esetekben képzett változó.

COMPUTE resz=hfcresz1/100.
DESCRIPTIVES resz.
COMPUTE hfcnyer0=resz*hfcered1.
FREQUENCIES hfcresz1 resz hfcnyer0 hfcnyer1 hfcered1.
DESCRIPTIVES hfcresz1 resz hfcnyer0 hfcnyer1 hfcered1.

TEMPORARY.
SELECT IF (hfcnyer1 gt 0).
desc hfcnyer1.

comp nyer=hfcnyer0.
if (sysmis(hfcnyer0)=1 and hfcnyer1 gt 0) nyer=hfcnyer1.
formats nyer (COMMA9.2).
desc nyer hfcnyer1 hfcnyer0.
recode nyer (sysmis, missing=0) (else=copy).
desc nyer.

COMPUTE hfjvall= nyer + hfcnyer3+ hfceg3ft+ hfjmgela.
VARIABLE LABEL hfjvall 'Vállalkozói nyereség'.

* Overall capital incomes of household.

COMPUTE hfjtoke= hfjkiad + hfjoszt + hfjvall.
VARIABLE LABEL hfjtoke 'Összes háztartási tőkejövedelem'.

* other household level incomes (transfers).

COMPUTE hfjegyed= hfjnyer + hfjtdjk+ hfjtamo+ hfjajan.
VARIABLE LABEL hfjegyed 'Egyéb háztartási jövedelem'.

* Összes közös háztartásjövedelem. Figyelem! 
* Total shared income of household.

 DESCRIPTIVES hfjcsjov hfjsocev hfjtoke hfjmgtak hfjegyed.

COMPUTE hfjovosz = hfjcsjov+ hfjsocev+ hfjtoke + hfjmgtak+ hfjegyed.
VARIABLE LABEL hfjovosz 'Háztartás kérdőív jövedelmei 12'.
DESCRIPTIVES hfjovosz.

* 2012 szeptemberi jövedelmek a háztartáskérdőívből.

COMPUTE hfjcsp12= hfjkcsut.
VARIABLE LABEL hfjcsp12 'Családi pótlék 2012, szept.'.

COMPUTE hfjkcs12= hfjkcsut.
VARIABLE LABEL hfjkcs12 'Kieg. családi pótlék 2012, szept.'.

COMPUTE hfjarv12= hfjarvut.
VARIABLE LABEL hfjarv12 'Árvaellátás 2012, szept.'.

COMPUTE hfjegy12= hfjegyut.
VARIABLE LABEL hfjegy12 'Egyéb gyermeknev. tám. 2012, szept.'.

COMPUTE hfjlft12= hfjlftut.
VARIABLE LABEL hfjlft12 'Lakásfenntartási tám. 2012, szept.'.

COMPUTE hfjcsj12= hfjcsp12+ hfjkcs12+ hfjarv12+ hfjegy12.
VARIABLE LABEL hfjcsj12 'családtámogatás 2012, szept.'.

COMPUTE hfjsoc12= hfjlft12.
VARIABLE LABEL hfjsoc12 'Segélyek 2012, szept.'.

COMPUTE hfjovs12=(hfjtoke + hfjmgtak + hfjegyed)/12+hfjcsj12+hfjsoc12.
VARIABLE LABEL hfjovs12 'Háztartástábla jövedelmek 2012, szept.'.
EXECUTE.

*********************************************************************.
*    Az egyénikérdőív változóinak feldolgozása     *.
*  Variables from the individual & substitutional questionnaires    *.
*********************************************************************.


* Éves jövedelem számítása gyakoriság és átlag szorzásával.

COMPUTE efjfomev = efjfomat * efjfomgk.
VARIABLE LABEL efjfomev ' főállás éves jövedelem'.

COMPUTE efjborev = efjborat * efjfomgk.
VARIABLE LABEL efjborev ' borravaló éves jövedelem'.

* Dolgozók: Előző munkahelyi jövedelem - ebből csak éves jövedelmet számítunk.
COMPUTE efjefmev = efjefmat * efjefmgk.
VARIABLE LABEL efjefmev 'előző főállás éves jövedelem'.

COMPUTE efjvegev = efjvegft.
VARIABLE LABEL efjvegev 'végkielégítés éves jövedelem'.

COMPUTE efjtapev = efjtapat * efjtapgk.
VARIABLE LABEL efjtapev ' táppénz éves jövedelem'.

* Nem dolgozók: Előző munkahelyi jövedelem - ebből csak éves jövedelmet 
* számítunk.
COMPUTE efjvmjev = efjvmjat * efjvmjgk.
VARIABLE LABEL efjvmjev 'nem dolgozó korábbi munkajövedelme éves'.

* Individual questionnaire table 37 for unemployment benefits.
* A
COMPUTE efjmunev = efjmunat * efjmungk.
VARIABLE LABEL efjmunev 'álláskeresési munkn. jár. éves jövedelem'.
* B
COMPUTE efjatkev = efjatkat * efjatkgk.
VARIABLE LABEL efjatkev ' keresetpótló átkép. tám. éves jövedelem'.
* C
* Jövedelemprogram javítása: Változott az ellátás elnevezése - 
* álláskeresési segély
COMPUTE efjmnsev = efjmnsgk * efjmnsat.
VARIABLE LABEL efjmnsev 'Álláskeresési segély - éves'.
* D 
* más, munkanélküliséghez kapcsolódó ellátást: pl., vállalkozóvá válást, 
* önfoglalkoztatást elősegítő támogatás, munkanélküliek költségtérítése?

COMPUTE efjmmeev = efjmmeat  * efjmmegk.
VARIABLE LABEL efjmmeev 'más munkanélküliséghez kapcs. ellátás éves jövedelem'.

* E
* NEW VARIABLE: jmfh: foglalkoztatást helyettesítő támogatást (az aktív korúak 
* támogatásának részeként).

RECODE efjmfhat efjmfhut efjmfhgk (-6,0,8,9,sysmis,missing=0) (else=copy).
EXECUTE.

COMPUTE efjmfhev = efjmfhat  * efjmfhgk.
VARIABLE LABEL efjmfhev 'foglalkoztatást helyettesítő támogatás éves jövedelem'.

COMPUTE efjostev = efjoszat * efjoszgk.
VARIABLE LABEL efjostev ' ösztöndíj éves jövedelem'.

COMPUTE efjgynev = efjgynat * efjgyngk.
VARIABLE LABEL efjgynev ' GYET éves jövedelem'.

COMPUTE efjtesev = efjtesat * efjtesgk.
VARIABLE LABEL efjtesev ' terhességi segély éves jövedelem'.

COMPUTE efjgyeev = efjgyeat * efjgyegk.
VARIABLE LABEL efjgyeev ' GYED éves jövedelem'.

COMPUTE efjgysev =efjgysat * efjgysgk.
VARIABLE LABEL efjgysev ' GYES éves jövedelem'.

COMPUTE efjnyuev =efjnyuut * efjnyugk.
VARIABLE LABEL efjnyuev 'nyugdíj éves jövedelem'.

COMPUTE efjidjev =efjidjat * efjidjgk.
VARIABLE LABEL efjidjev ' időskorúak járadéka éves jövedelem'.

COMPUTE efjejdev =efjejdat * efjejdgk.
VARIABLE LABEL efjejdev ' életjáradék éves jövedelem'.

COMPUTE efjkarev =efjkarat * efjkargk.
VARIABLE LABEL efjkarev ' életjár. biztosítótól éves jövedelem'.

COMPUTE efjegyev =efjegyat * efjegygk.
VARIABLE LABEL efjegyev 
    'egyéb gyermekneveléshez kapcsolódó ellátás éves jövedelem'.

COMPUTE efjakeev = efjakeat * efjakegk.
VARIABLE LABEL efjakeev 'Aktív korúak ellátása, éves jövedelem'.

* Egyéb éves jövedelem számítás.

recode efjhozev (1=25000) (2=45000) (3=80000) (4=180000) (5=400000)
  (6=800000) (7=1500000) (else=0) into efjterev.
VARIABLE LABEL efjhozev 'főmunka természetbeni éves jövedelem'.



DESCRIPTIVES efjfomev efjpremp efjborev efjszlev efjterev efjefmev efjkmaev 
        efjkmbev efjkmcev efjkmdev efjkmeev efjalkev efjvmjev efjmunev efjatkev 
        efjmnsev efjmmeev efjostev efjgynev efjtesev efjgyeev efjgysev efjnyuev 
        efjtapev efjejdev efjkarev efjegyev efjvegev efjidjev efjanyev.

TEMPORARY.
SELECT IF (efjidjev gt 0).
LIST eazon12 efjidjev efjidjat hfjobe0 
        hfmakb0 hfbszu0 efjnyuev.

FREQUENCIES efjidjev.

* időskorúak járadékának javítása.
IF (efjnyuev=efjidjev) efjidjev=0.
EXECUTE.
FREQUENCIES efjidjev.

********************************************************************.
********************************************************************.
 
* Az 2012 szeptemberi jövedelmek.
* Jövedelemprogram javítása: a munkanélküliek rendszeres szociális segélyét és 
* az anyasági támogatást is bevesszük.
 
COMPUTE efjfom12= efjfomut.
COMPUTE efjtul12= efjtulut.
COMPUTE efjbor12= efjborat.
COMPUTE efjszl12= efjszlut.
COMPUTE efjtap12= efjtaput.
COMPUTE efjkma12= efjkmaut.
COMPUTE efjkmb12= efjkmbut.
COMPUTE efjkmc12= efjkmcut.
COMPUTE efjkmd12= efjkmdut.
COMPUTE efjkme12= efjkmeut.
COMPUTE efjalk12= efjalkut.
COMPUTE efjmun12= efjmunut.
COMPUTE efjmme12= efjmmeut.
* NEW VAR!
COMPUTE efjmfh12= efjmfhut.
COMPUTE efjatk12= efjatkut.
COMPUTE efjmns12= efjmnsut.
COMPUTE efjost12= efjoszut.
COMPUTE efjgyn12= efjgynut.
COMPUTE efjtes12= efjtesut.
COMPUTE efjgye12= efjgyeut.
COMPUTE efjgys12= efjgysut.
COMPUTE efjnyu12= efjnyuut.
COMPUTE efjidj12= efjidjut.
COMPUTE efjejd12= efjejdut.
COMPUTE efjkar12= efjkarut.
COMPUTE efjegy12= efjegyut.
COMPUTE efjake12= efjakeut.
VARIABLE LABEL efjake12 
        'rendszeres szociális segély, aktív korúak ellátása, 12 szept. jöved.'

DESCRIPTIVES efjfom12 efjszl12 efjbor12 efjtul12 efjtap12 efjkma12 efjkmb12 
        efjkmc12 efjkmd12 efjkme12 efjalk12 efjmun12 efjmme12 efjatk12 efjmns12 
        efjost12 efjgyn12 efjtes12 efjake12 efjgye12 efjgys12 efjnyu12 
        efjejd12 efjkar12 efjegy12 efjidj12 efjany12.

* idj12 javítása
FREQUENCIES efjidj12.
IF (efjnyu12=efjidj12) efjidj12=0.
FREQUENCIES efjidj12.

* 2012 szeptemberi jövedelmek számítása azokban az esetekben, ahol évest 
* kérdezünk.
 
COMPUTE efjprm12 = efjpremp / 12.
VARIABLE LABEL efjprm12 'Főmunkahelyi prémium 12 szept.'.
 
COMPUTE efjveg12 = efjvegft / 12.
VARIABLE LABEL efjveg12 'Végkielégités 12 szept.'.
 
COMPUTE efjter12 = efjterev / 12.
VARIABLE LABEL efjter12 'Főmunkahelyi hozzájárulások 12 szept.'.
 
DESCRIPTIVES efjprm12 efjter12 efjveg12.
 
************************************************************************.
* Összevont jövedelmek képzése.
 
* incomes from main job.
 
COMPUTE efjfmhev = efjfomev + efjborev + efjterev + efjszlev + efjefmev + 
        efjvmjev.
VARIABLE LABEL efjfmhev 'Főmunkahelyi éves jövedelem'.
 
COMPUTE efjritev = efjpremp+ efjvegft.
VARIABLE LABEL efjritev 'Főmunka éves ritka jövedelem'.
 
* incomes from 2nd job and casual work.


COMPUTE efjkulev = efjkmaev+ efjkmbev+ efjkmcev+ efjkmdev+ efjkmeev.
VARIABLE LABEL efjkulev 'Rendszeres különmunka éves jövedelem'.

desc efjkulev efjalkev.
 
COMPUTE efjkmuev = efjkulev + efjalkev.
VARIABLE LABEL efjkmuev 'Külön és alkalmi munka éves jövedelem'.
 
* incomes social insurance benefits.
COMPUTE efjtbev  = efjtapev + efjmunev + efjgyeev + efjtesev +
                   efjnyuev.
VARIABLE LABEL efjtbev 'Társadalombizt. éves jövedelem'.
 
* Social incomes.
* Jövedelemprogram javítása: a munkanélküliek rendszeres szociális segélyét 
* és az anyasági támogatást is bevesszük. Ugyancsak átsoroljuk ide a 
* tb-jövedelmek közül az efjegyev-et.


COMPUTE efjszcev = efjatkev + efjmnsev + efjmmeev + efjmfhev + efjostev + 
                   efjgynev + efjgysev + efjegyev + efjidjev + efjanyev.
VARIABLE LABEL efjszcev 'Szociális éves jövedelem'.

DESCRIPTIVES efjatkev efjmnsev efjmmeev efjmfhev efjostev efjgynev efjgysev 
        efjegyev efjidjev efjanyev.

* Other transfers.
 
COMPUTE efjtraev = efjejdev + efjkarev.
VARIABLE LABEL efjtraev 'Éves transzfer jövedelem'.
 
* Total netto yearly personal income.
 
COMPUTE efjoszev = efjfmhev + efjkmuev + efjritev + efjtbev + efjszcev + 
        efjtraev.
VARIABLE LABEL efjoszev 'ÉVES ÖSSZES SZEMÉLYES JÖVEDELEM (netto)'.

* TODO efjtulev nincs, de van havi efjtul12!!!
* DESCRIPTIVES efjfomev efjtulev efjterev efjszlev efjborev.


* incomes in September of 2012.

* incomes from main job.

COMPUTE efjfmh12 = efjfom12 + efjtul12 + efjter12 + efjszl12 + efjbor12.
VARIABLE LABEL efjfmh12 'főmunkahelyi jövedelem, 12. szept.'.
DESCRIPTIVES efjfom12 efjtul12 efjter12 efjszl12 efjbor12.

COMPUTE efjrit12 = efjprm12 + efjveg12.
VARIABLE LABEL efjritev 'főmunka ritka jövedelem 12. szept.'.

* incomes from 2nd job and casual work.

COMPUTE efjkul12 = efjkma12+ efjkmb12+ efjkmc12+ efjkmd12+ efjkme12.
VARIABLE LABEL efjkulev 'rendszeres különmunka jövedelem 12. szept.'.

COMPUTE efjkmu12 = efjkul12 + efjalk12.
VARIABLE LABEL efjkmu12 'külön és alkalmi munkajöv., 12. szept.'.

* incomes social insurance benefits.
COMPUTE efjtb12  = efjtap12 + efjmun12 + efjgye12 + efjtes12 +
                   efjnyu12 + efjegy12.
VARIABLE LABEL efjtb12 'társadalombizt. jövedelem, 12. szept.'.

* social incomes.
* jövedelemprogram javítása: a foglakoztatást helyettesítő támogatást 
* és az anyasági támogatást is bevesszük.


COMPUTE efjszc12 = efjatk12 + efjmns12 + efjmme12 + efjmfh12 + efjost12 + 
                   efjgyn12 + efjgys12 + efjake12 + efjidj12 + efjany12.
VARIABLE LABEL efjszc12 'szociális jövedelem, 12. szept.'.

DESCRIPTIVES efjatk12 efjmns12 efjmme12 efjmfh12 efjost12 efjgyn12 efjgys12 
        efjegy12 efjidj12 efjany12.

* other transfers.

COMPUTE efjtra12 = efjejd12 + efjkar12.
VARIABLE LABEL efjtra12 'transzfer jövedelem, 12. szept.'.


* total netto personal income in march of 2012.
COMPUTE efjosz12 = efjfmh12 + efjkmu12 + efjrit12 + efjtb12 + efjszc12 + 
      efjtra12.
VARIABLE LABEL efjosz12 '2012 szeptember-összes személyes jövedelem (netto)'.


DESCRIPTIVES efjfmhev efjritev efjkmuev efjtbev efjszcev efjtraev efjoszev
        efjfmh12 efjrit12 efjkmu12 efjtb12 efjszc12 efjtra12 efjosz12.



*******************************************************************************.
* Comparing calculated income for September 2012 to estimated income.


MISSING VALUE hfjobe0 (-6, 8, 9).
des hfjobe0.

* hfjobe0 n=4204 Mean=74180 Ft vs efjosz12 MEAN=61899.
COMPUTE xx=hfjobe0-efjosz12.
formats xx (f9.0).

* lista azokról akik töltöttek ki egyéni kérdőívet és 100eFt-nál nagyobb 
* a differencia és nem 0 jövedelemt mondtak.

TEMPORARY.
SELECT IF (abs(xx) ge 100000 and hflegy0=1 and efjosz12 gt 0).
LIST eazon12 hfjobe0 efjosz12 xx efjfmh12 efjkmu12 efjrit12 efjtb12 efjszc12 .

TEMPORARY.
SELECT IF (abs(xx) ge 100000 and hflegy0=1 and efjosz12 gt 0).
LIST eazon12 xx hfbszu0 hfmakb0 hfbnem0 isk3.


* Kilistázzuk azokat, ahol valószínűleg duplán lett elszámolva a tb és szoc 
* jövedelem.

compute ind1=0.
if (hfjobe0/2=efjosz12 and efjosz12 gt 0) ind1=1.
FREQUENCIES ind1.

TEMPORARY.
SELECT IF (ind1=1).
list eazon12 hfjobe0 efjosz12 xx efjfmh12 efjkmu12 efjrit12 efjtb12 efjszc12.

compute ind2=0.
if (abs(xx)=efjtb12 and efjtb12=efjszc12 and efjtb12 gt 10) ind2=1.
FREQUENCIES ind2.

TEMPORARY.
sel if(ind2=1)
list eazon12 hfjobe0 efjosz12 xx efjtb12 efjszc12 hfellab0. 
*/CASES from 1 to 50.

TEMPORARY.
SELECT IF (ind2=1).
list eazon12 efjmfh12 efjmfhgk efjake12 efjakegk efjmun12 efjmungk efjnyu12 efjnyugk.

do if (efjmungk=12 and efjakegk=12).
recode efjmungk (12=6).
recode efjakegk (12=6).
end if.
FREQUENCIES htesuly /sta all.
DESCRIPTIVES htesuly.
WEIGHT BY htesuly.
EXAMINE efjfomev efjpremp efjborev efjszlev efjterev efjefmev efjalkev efjvmjev
        /STATISTICS=DESCRIPTIVES EXTREME(5).




